Get statement
import requests
url = "https://api.paywise.de/v2/statements/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/statements/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/statements/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/statements/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/statements/{id}/ \
--header 'Authorization: Bearer <token>'{
"booking_date": "2026-07-01",
"cancelled_at": null,
"clearing_no": "CLEARING-000042",
"comment": "June clearing run",
"created_at": "2026-07-01T06:00:00Z",
"files": [
{
"download_url": "https://api.paywise.de/v2/statements/a0000000-0000-4000-8000-000000000001/download/?type=full-pdf",
"filename": "statement_CLEARING-000042.pdf",
"media_type": "application/pdf",
"type": "full-pdf"
}
],
"financials": {
"balance_before_outstanding_items_offsetting": {
"currency": "EUR",
"value": "0.00"
},
"outstanding_items_offset": {
"currency": "EUR",
"value": "0.00"
},
"total_balance": {
"currency": "EUR",
"value": "0.00"
},
"vat_entries": []
},
"id": "a0000000-0000-4000-8000-000000000001",
"invoice_no": "STATEMENT-000042",
"mandate_count": 2,
"mandates": [
{
"amount": {
"currency": "EUR",
"value": "100.00"
},
"closing": null,
"cost_burden": [],
"created_at": "2026-06-15T11:00:00Z",
"debtor": {
"acting_as": "consumer",
"events": [
{
"description": null,
"location": null,
"occurence": "2026-05-01T09:00:00Z",
"title": "Customer registered",
"type": "registration",
"your_reference": null
}
],
"legal_form": null,
"metadata": [
{
"type": "user:reference",
"value": "CUSTOMER-1001"
}
],
"organization": null,
"person": {
"birth_date": null,
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
},
"your_reference": "CUSTOMER-1001"
},
"id": "50000000-0000-4000-8000-000000000003",
"reference_number": "PW-2026-000121",
"related_statements": [],
"state": {
"legal_stage": {
"code": "extrajudicial",
"label": "Außergerichtlich",
"label_key": "mandate.state.legal_stage.extrajudicial"
},
"payment": {
"code": "unpaid",
"label": "Unbezahlt",
"label_key": "mandate.state.payment.unpaid"
},
"processing": {
"code": "in_progress",
"label": "Laufend",
"label_key": "mandate.state.processing.in_progress"
}
},
"third_party_money": []
},
{
"amount": {
"currency": "EUR",
"value": "100.00"
},
"closing": null,
"cost_burden": [],
"created_at": "2026-06-15T11:00:00Z",
"debtor": {
"acting_as": "consumer",
"events": [
{
"description": null,
"location": null,
"occurence": "2026-05-01T09:00:00Z",
"title": "Customer registered",
"type": "registration",
"your_reference": null
}
],
"legal_form": null,
"metadata": [
{
"type": "user:reference",
"value": "CUSTOMER-1001"
}
],
"organization": null,
"person": {
"birth_date": null,
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
},
"your_reference": "CUSTOMER-1001"
},
"id": "50000000-0000-4000-8000-000000000004",
"reference_number": "PW-2026-000122",
"related_statements": [],
"state": {
"legal_stage": {
"code": "extrajudicial",
"label": "Außergerichtlich",
"label_key": "mandate.state.legal_stage.extrajudicial"
},
"payment": {
"code": "unpaid",
"label": "Unbezahlt",
"label_key": "mandate.state.payment.unpaid"
},
"processing": {
"code": "in_progress",
"label": "Laufend",
"label_key": "mandate.state.processing.in_progress"
}
},
"third_party_money": []
}
],
"period_end": "2026-06-30",
"period_start": "2026-06-01",
"published_at": "2026-07-01T06:00:00Z",
"status": "published",
"updated_at": "2026-07-01T06:00:00Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Statements
Get statement
Published payout statements and their customer-visible breakdown.
GET
/
v2
/
statements
/
{id}
/
Get statement
import requests
url = "https://api.paywise.de/v2/statements/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/statements/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/statements/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/statements/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/statements/{id}/ \
--header 'Authorization: Bearer <token>'{
"booking_date": "2026-07-01",
"cancelled_at": null,
"clearing_no": "CLEARING-000042",
"comment": "June clearing run",
"created_at": "2026-07-01T06:00:00Z",
"files": [
{
"download_url": "https://api.paywise.de/v2/statements/a0000000-0000-4000-8000-000000000001/download/?type=full-pdf",
"filename": "statement_CLEARING-000042.pdf",
"media_type": "application/pdf",
"type": "full-pdf"
}
],
"financials": {
"balance_before_outstanding_items_offsetting": {
"currency": "EUR",
"value": "0.00"
},
"outstanding_items_offset": {
"currency": "EUR",
"value": "0.00"
},
"total_balance": {
"currency": "EUR",
"value": "0.00"
},
"vat_entries": []
},
"id": "a0000000-0000-4000-8000-000000000001",
"invoice_no": "STATEMENT-000042",
"mandate_count": 2,
"mandates": [
{
"amount": {
"currency": "EUR",
"value": "100.00"
},
"closing": null,
"cost_burden": [],
"created_at": "2026-06-15T11:00:00Z",
"debtor": {
"acting_as": "consumer",
"events": [
{
"description": null,
"location": null,
"occurence": "2026-05-01T09:00:00Z",
"title": "Customer registered",
"type": "registration",
"your_reference": null
}
],
"legal_form": null,
"metadata": [
{
"type": "user:reference",
"value": "CUSTOMER-1001"
}
],
"organization": null,
"person": {
"birth_date": null,
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
},
"your_reference": "CUSTOMER-1001"
},
"id": "50000000-0000-4000-8000-000000000003",
"reference_number": "PW-2026-000121",
"related_statements": [],
"state": {
"legal_stage": {
"code": "extrajudicial",
"label": "Außergerichtlich",
"label_key": "mandate.state.legal_stage.extrajudicial"
},
"payment": {
"code": "unpaid",
"label": "Unbezahlt",
"label_key": "mandate.state.payment.unpaid"
},
"processing": {
"code": "in_progress",
"label": "Laufend",
"label_key": "mandate.state.processing.in_progress"
}
},
"third_party_money": []
},
{
"amount": {
"currency": "EUR",
"value": "100.00"
},
"closing": null,
"cost_burden": [],
"created_at": "2026-06-15T11:00:00Z",
"debtor": {
"acting_as": "consumer",
"events": [
{
"description": null,
"location": null,
"occurence": "2026-05-01T09:00:00Z",
"title": "Customer registered",
"type": "registration",
"your_reference": null
}
],
"legal_form": null,
"metadata": [
{
"type": "user:reference",
"value": "CUSTOMER-1001"
}
],
"organization": null,
"person": {
"birth_date": null,
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
},
"your_reference": "CUSTOMER-1001"
},
"id": "50000000-0000-4000-8000-000000000004",
"reference_number": "PW-2026-000122",
"related_statements": [],
"state": {
"legal_stage": {
"code": "extrajudicial",
"label": "Außergerichtlich",
"label_key": "mandate.state.legal_stage.extrajudicial"
},
"payment": {
"code": "unpaid",
"label": "Unbezahlt",
"label_key": "mandate.state.payment.unpaid"
},
"processing": {
"code": "in_progress",
"label": "Laufend",
"label_key": "mandate.state.processing.in_progress"
}
},
"third_party_money": []
}
],
"period_end": "2026-06-30",
"period_start": "2026-06-01",
"published_at": "2026-07-01T06:00:00Z",
"status": "published",
"updated_at": "2026-07-01T06:00:00Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
